# meshplotlib

```{eval-rst}
.. sectionauthor:: Florian Zill (Helmholtz Centre for Environmental Research GmbH - UFZ)
```

`meshplotlib` provides an easy way to create high quality contourplots of 2D or 3D mesh data.
It is heavily based on `matplotlib` and `pyvista`.

## Features

- plotting of point or cell data
- plotting multiple meshes in a subplot grid
- projections of arbitrarily oriented 2D meshes
- isometric views of 3D meshes
- show region/material boundaries (optionally with labels)
- show element boundaries
- streamlines of vector data
- sensible default colormaps
- nicely formatted colorbars
- a temporary interface class for Meshes
- a temporary interface class for MeshSeries (.pvd or .xdmf)

## Getting started

- Examples demonstrating the usage of the meshplotlib can be found at: [](../auto_examples/howto_meshplotlib/index).
- You can access the comprehensive API documentation at: [](../reference/ogstools.meshplotlib).
